[arch-commits] CVS update of extra/x11/xorg-server (PKGBUILD)

Alexander Baldeck alexander at archlinux.org
Sat Dec 22 12:51:31 EST 2007


    Date: Saturday, December 22, 2007 @ 12:51:31
  Author: alexander
    Path: /home/cvs-extra/extra/x11/xorg-server

Modified: PKGBUILD (1.42 -> 1.43)

* enabled xorgcfg as requested in FS#8743
* switched to debian patchset as fedora is falling behind


----------+
 PKGBUILD |   96 +++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 68 insertions(+), 28 deletions(-)


Index: extra/x11/xorg-server/PKGBUILD
diff -u extra/x11/xorg-server/PKGBUILD:1.42 extra/x11/xorg-server/PKGBUILD:1.43
--- extra/x11/xorg-server/PKGBUILD:1.42	Mon Dec 17 05:20:23 2007
+++ extra/x11/xorg-server/PKGBUILD	Sat Dec 22 12:51:31 2007
@@ -1,9 +1,9 @@
-# $Id: PKGBUILD,v 1.42 2007/12/17 10:20:23 alexander Exp $
+# $Id: PKGBUILD,v 1.43 2007/12/22 17:51:31 alexander Exp $
 # Maintainer: Alexander Baldeck <kth5 at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xorg-server
 pkgver=1.4.0.90
-pkgrel=1
+pkgrel=2
 _mesaver=7.0.1
 pkgdesc="X.Org X servers"
 arch=('i686' 'x86_64')
@@ -11,7 +11,7 @@
 depends=('gcc' 'libxkbui' 'ncurses' 'libxi' 'libxxf86misc' 'libxfont'
          'libxrender' 'libdmx' 'libxaw' 'libxxf86vm' 'xcursor-themes'
 	 'xkeyboard-config' 'xorg-server-utils' 'xorg-utils' 'libdrm>=2.3.0'
-	 'libxfixes' 'xorg-fonts-misc' 'pixman>=0.9.6')
+	 'libxfixes' 'xorg-fonts-misc' 'pixman>=0.9.6' 'xbitmaps')
 makedepends=('pkgconfig' 'xf86driproto' 'xcmiscproto' 'xtrans' 'bigreqsproto'
              'xf86bigfontproto' 'resourceproto' 'evieext' 'damageproto>=1.1.0'
 	     'compositeproto>=0.4' 'scrnsaverproto' 'libxres' 'xorg-util-macros'
@@ -23,28 +23,54 @@
 install=xorg-server.install
 source=(${url}/releases/individual/xserver/${pkgname}-${pkgver}.tar.bz2
 	http://downloads.sourceforge.net/mesa3d/MesaLib-${_mesaver}.tar.bz2
-	xorg-redhat-die-ugly-pattern-die-die-die.patch
-	xorg-x11-server-0.99.3-init-origins-fix.patch
-	xorg-x11-server-1.0.1-Red-Hat-extramodes.patch
-	xorg-x11-server-1.1.0-no-move-damage.patch
-	xorg-x11-server-1.1.1-vbe-filter-less.patch
 	xorg-server-1.2.0-defaultdpi.patch
-	xorg-x11-server-1.1.1-no-scanpci.patch
-	xserver-1.3.0-newglx-offscreen-pixmaps.patch
-	xorg-server-1.4-kbd-leds-fix.patch)
+	001_ubuntu_add_extra_modelines_from_xorg.patch
+	01-kernel-headers-fix.patch
+	02_libvgahw_gcc4_volatile_fix.diff
+	03_auto_load_driver.diff
+	04_auto_load_driver_no_conf.diff
+	05_kill_type1.diff
+	06_use_proc_instead_of_sysfs_for_pci_domains.diff
+	07_autoconfig_screen_with_device_section.diff
+	08_xkb_infinite_loop.diff
+	14_default_screen_section.diff
+	21_glx_align_fixes.patch
+	41_vbe_filter_less.diff
+	43_allow_override_BIOS_EDID_preferred_mode.diff
+	44_preferredmode_infinite_loop.diff
+	47_fbdevhw_magic_numbers.diff
+	51_xkb-and-loathing.diff
+	91_ttf2pt1
+	91_ttf2pt1_updates
+	92_xprint-security-holes-fix.patch
+	93_spooltodir_check_file_exists
+	93_xprint_fonts_fix)
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
 
-  # Patches from redhat:
-  patch -Np3 -i ${startdir}/src/xorg-redhat-die-ugly-pattern-die-die-die.patch || return 1
-  patch -Np0 -i ${startdir}/src/xorg-x11-server-0.99.3-init-origins-fix.patch || return 1
-  patch -Np1 -i ${startdir}/src/xorg-x11-server-1.0.1-Red-Hat-extramodes.patch || return 1
-  patch -Np0 -i ${startdir}/src/xorg-x11-server-1.1.0-no-move-damage.patch || return 1
-  patch -Np1 -i ${startdir}/src/xorg-x11-server-1.1.1-vbe-filter-less.patch || return 1
-  patch -Np1 -i ${startdir}/src/xorg-x11-server-1.1.1-no-scanpci.patch || return 1
-  patch -Np1 -i ${startdir}/src/xserver-1.3.0-newglx-offscreen-pixmaps.patch || return 1
-  patch -Np1 -i ${startdir}/src/xorg-server-1.4-kbd-leds-fix.patch || return 1
+  # patches from Debian
+  patch -Np1 -i ${startdir}/src/001_ubuntu_add_extra_modelines_from_xorg.patch || return 1
+  patch -Np1 -i ${startdir}/src/01-kernel-headers-fix.patch || return 1
+  patch -Np1 -i ${startdir}/src/02_libvgahw_gcc4_volatile_fix.diff || return 1
+  patch -Np1 -i ${startdir}/src/03_auto_load_driver.diff || return 1
+  patch -Np1 -i ${startdir}/src/04_auto_load_driver_no_conf.diff || return 1
+  patch -Np1 -i ${startdir}/src/05_kill_type1.diff || return 1
+  patch -Np1 -i ${startdir}/src/06_use_proc_instead_of_sysfs_for_pci_domains.diff || return 1
+  patch -Np1 -i ${startdir}/src/07_autoconfig_screen_with_device_section.diff || return 1
+  patch -Np1 -i ${startdir}/src/08_xkb_infinite_loop.diff || return 1
+  patch -Np1 -i ${startdir}/src/14_default_screen_section.diff || return 1
+  patch -Np1 -i ${startdir}/src/21_glx_align_fixes.patch || return 1
+  patch -Np1 -i ${startdir}/src/41_vbe_filter_less.diff || return 1
+  patch -Np1 -i ${startdir}/src/43_allow_override_BIOS_EDID_preferred_mode.diff || return 1
+  patch -Np1 -i ${startdir}/src/44_preferredmode_infinite_loop.diff || return 1
+  patch -Np1 -i ${startdir}/src/47_fbdevhw_magic_numbers.diff || return 1
+  patch -Np1 -i ${startdir}/src/51_xkb-and-loathing.diff || return 1
+  patch -Np1 -i ${startdir}/src/91_ttf2pt1 || return 1
+  patch -Np1 -i ${startdir}/src/91_ttf2pt1_updates || return 1
+  patch -Np1 -i ${startdir}/src/92_xprint-security-holes-fix.patch || return 1
+  patch -Np1 -i ${startdir}/src/93_spooltodir_check_file_exists || return 1
+  patch -Np1 -i ${startdir}/src/93_xprint_fonts_fix || return 1
 
   # Own patches
   patch -Np1 -i ${startdir}/src/xorg-server-1.2.0-defaultdpi.patch || return 1
@@ -70,6 +96,7 @@
               --enable-xevie \
 	      --enable-xephyr \
               --enable-glx-tls \
+              --enable-xorgcfg \
 	      --disable-kdrive \
               --enable-install-setuid \
               --disable-xprint \
@@ -100,12 +127,25 @@
 }
 md5sums=('bb16e969850dbb5d3805cb88d35656d0'
          'c056abd763e899114bf745c9eedbf9ad'
-         '1a336eb22e27cbf443ec5a2ecddfa93c'
-         '342a7d2fc0727b12f2840057c1feb2be'
-         'e49b4a78cdc47a379ee49663acbabedc'
-         '0faff1bfae0c6378fae5d2875fb3972c'
-         '91d5eea40148b9e9db59c659b15fe443'
          'e162134c68230f7b168430fe73b4881a'
-         '43257d8ade0f087870426eca1f09005c'
-         '0241d51f94de450845531b4df2af2527'
-         '958d907381f0df253668a5d9473d1adf')
+         '117ca8113ad0977a8f769734e8599a10'
+         '7bedf609cd7717f58f991b6a9380b2a5'
+         '12a725071633d8140c22237efd954787'
+         '424e260a4b44d4b33c93a9d93b0b54d8'
+         '358f73d2c4438afcda30a7d115614eea'
+         '046ebbaf2c6f63e517b9f3df40c280c4'
+         'f17954a42bfb86113fb136b276408072'
+         '6038f49491549ece18fe0221fbfaf8a0'
+         'cb43e5e2747e70520db7f0b736da1a7b'
+         'd95707272c60cf28aeb45fa5b1222e06'
+         'ea8ba7fcd9d1cb01c254ccd139526159'
+         'e39df27a272af6525ce3370abf0f6f51'
+         'a54faf8161b1aedd5d1406645ee38b4d'
+         '74e675c11d94d0bddcec7c74c220bf71'
+         '13a69065ee4b99e6ba9eb9b4fd121a1f'
+         '63a819f88186cead0cff54296c0d4050'
+         'c281e6d4454d22ee22381a9404f9f580'
+         '2110d7a26a7674ebcffbf7d6887a0167'
+         '697454ba6f2c5f77a100693b72440079'
+         'acbca762bbb532f2577bd57b29660e11'
+         '430f5fae7a12e5052a5b03990c2b1fb7')




More information about the arch-commits mailing list